## freetype 2.10.2+dfsg

=== debian/changelog ===
freetype (2.10.2+dfsg-3ubuntu1) groovy; urgency=medium

  * SECURITY UPDATE: heap buffer overflow via integer truncation in
    Load_SBit_Png
    - debian/patches/CVE-2020-15999.patch: Update src/sfnt/pngshim.c to
      test and reject invalid bitmap size earlier in Load_SBit_Png. Based on
      upstream patch.
    - CVE-2020-15999

 -- Alex Murray <alex.murray@canonical.com>  Tue, 20 Oct 2020 12:28:06 +1030

freetype (2.10.2+dfsg-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/tests: Add a superficial compile/link/run autopkgtest (Closes: #964246).

  [ Hugh McMaster ]
  * debian/rules:
    - Update a comment.
    - Fix whitespace formatting.
    - Override dh_auto_clean to clean up ft2demos.
    - Override dh_auto_clean to remove objs/.libs/libfreetype.ver.
    - Run a separate build sequence for libfreetype6-udeb, which should not
      depend on libbrotli1 (Closes: #964774).
  * Minor stylistic changes to d/tests/libfreetype-dev.
    - Thanks to Simon McVittie for writing the autopkgtest.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 15 Jul 2020 22:10:01 +1000

freetype (2.10.2+dfsg-2) unstable; urgency=medium

  * debian/control: Add libbrotli-dev as a dependency of libfreetype-dev
    (Closes: #964185).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 03 Jul 2020 22:40:45 +1000

freetype (2.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Support for WOFF2 fonts.
    - Type 1 fonts with non-integer metrics are now supported by the new
      (CFF) engine introduced in FreeType 2.9.
    - Auto-hinter support for Hanifi Rohingya.
  * Repack to remove non-DFSG-compatible minified JavaScript files from the
    main upstream tarball.
  * debian/control:
    - Raise Standards-Version to 4.5.0 from 4.4.1.
    - Sort Build-Depends list.
    - Use debhelper-compat version 13.
    - Build-Depend on libbrotli-dev to support WOFF2 fonts.
    - Sort the libfreetype-dev Depends field.
    - Recommend fonts-material-design-icons-iconfont with freetype2-doc.
  * debian/copyright:
    - Update for FreeType 2.10.2.
    - Add Files-Excluded field.
    - Remove copyright information for Excluded files.
  * debian/gbp.conf:
    - Always use pristine-tar.
    - Add component option for import-orig and export-orig.
  * Add debian/not-installed.
  * debian/patches:
    - Drop scale-phantom-points.patch and verbose-libtool.patch.
    - remove-gstatic-code.patch: Update file paths and patch content.
    - fix-js-doc-paths.patch: Add missing HTML files.
    - hide-donations-information.patch: Refresh patch.
    - Update patch order in the series file.
  * debian/rules:
    - Remove the dh_auto_install override.
    - Stop moving the HTML documentation (problem fixed upstream).
    - Force installation of correct ChangeLog for freetype2-demos.
    - Install the HTML documentation in libfreetype-dev but package the files
      in freetype2-doc (as preferred by Debian Policy section 12.3).
    - Install the CHANGES and PCF README files in libfreetype-dev.
    - Do not install docs/reference/assets/images. These files are not used.
    - Drop the reference/README installation exclusion in freetype2-docs.
  * debian/watch:
    - Download xz-compressed tarballs (Closes: #952973).
    - Update the filenamemangle used with the ft2docs tarball component.
    - Don't call uupdate.
    - Repack the main upstream source tarball to comply with the DFSG.
  * freetype2-demos:
    - Update manpage source path.
    - Use renamed lintian tag.
  * freetype2-doc:
    - Update doc-base registration paths.
    - Install jQuery symlink in libfreetype-dev.
    - Update paths in lintian overrides.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 02 Jul 2020 22:00:01 +1000
