=== debian/control ===
Source: freetype
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
Build-Depends:
 debhelper-compat (= 13),
 autoconf,
 bzip2,
 gettext,
 libbrotli-dev,
 libjs-jquery,
 libpng-dev,
 libtool,
 libx11-dev <!stage1>,
 libz-dev,
 pkg-config,
 x11proto-core-dev <!stage1>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.freetype.org
Vcs-Git: https://salsa.debian.org/debian/freetype.git
Vcs-Browser: https://salsa.debian.org/debian/freetype

Package: libfreetype6
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: FreeType 2 font engine, shared library files
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 The FreeType 2 library is their new software font engine.  It has been
 designed to provide the following important features:
  * A universal and simple API to manage font files
  * Support for several font formats through loadable modules
  * High-quality anti-aliasing
  * High portability & performance
 .
 Supported font formats include:
  * TrueType files (.ttf) and collections (.ttc)
  * Type 1 font files both in ASCII (.pfa) or binary (.pfb) format
  * Type 1 Multiple Master fonts.  The FreeType 2 API also provides
    routines to manage design instances easily
  * Type 1 CID-keyed fonts
  * OpenType/CFF (.otf) fonts
  * CFF/Type 2 fonts
  * Adobe CEF fonts (.cef), used to embed fonts in SVG documents with
    the Adobe SVG viewer plugin.
  * Windows FNT/FON bitmap fonts
 .
 This package contains the files needed to run programs that use the
 FreeType 2 library.

Package: libfreetype-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libfreetype6 (= ${binary:Version}),
 libbrotli-dev,
 libc6-dev | libc-dev,
 libpng-dev,
 zlib1g-dev | libz-dev,
 ${misc:Depends}
Suggests: freetype2-doc (= ${binary:Version})
Replaces: libfreetype6-dev (<< 2.10.1)
Breaks: libfreetype6-dev (<< 2.10.1)
Description: FreeType 2 font engine, development files
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This package contains all of the supplementary files you need to develop your
 own programs using the FreeType 2 library.

Package: libfreetype6-dev
Architecture: any
Multi-Arch: same
Depends: libfreetype-dev (= ${binary:Version}), ${misc:Depends}
Section: oldlibs
Description: FreeType 2 font engine, development files (transitional package)
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This package contains all of the supplementary files you need to develop your
 own programs using the FreeType 2 library.
 .
 This is a transitional package. It can safely be removed.

Package: freetype2-demos
Section: utils
Architecture: any
Multi-Arch: foreign
Build-Profiles: <!stage1>
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeType 2 demonstration programs
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This package contains some demonstration programs and utilities
 that showcase the features of the FreeType 2 font engine.

Package: freetype2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Recommends:
 fonts-material-design-icons-iconfont,
 fonts-noto-core
Replaces: libfreetype6-dev (<< 2.9.1)
Breaks: libfreetype6-dev (<< 2.9.1)
Description: FreeType 2 font engine, development documentation
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This package contains the FreeType 2 development documentation.

Package: libfreetype6-udeb
Section: debian-installer
Architecture: any
Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeType 2 font engine for the debian-installer
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This is the udeb package for use with the debian-installer.
