## freetype 2.10.4%2Bdfsg

=== debian/changelog ===
freetype (2.10.4+dfsg-1+deb11u1) bullseye; urgency=medium

  * Add upstream patches to fix multiple vulnerabilities. Closes: #1010183.
    - CVE-2022-27404: heap buffer overflow via invalid integer decrement in
      sfnt_init_face() and woff2_open_font().
    - CVE-2022-27405: segmentation violation via ft_open_face_internal() when
      attempting to read the value of FT_LONG face_index.
    - CVE-2022-27406: segmentation violation via FT_Request_Size() when
      attempting to read the value of an unguarded face size handle.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 28 Apr 2022 19:54:23 +1000

freetype (2.10.4+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Fix for CVE-2020-15999 (heap buffer overflow) now included.
    - New flag `FT_OUTLINE_OVERLAP' available to make the smooth rasterizer do
      4x4 oversampling to mitigate artifacts in pixels partially covered by
      overlapping contours. This at least quadruples the rendering time.
      FreeType automatically uses this rendering mode if a glyph in a TrueType
      font has the `OVERLAP_SIMPLE' or `OVERLAP_COMPOUND' bit set.
    - Including FreeType header files via FT_*_H macros is no longer required.
      Downstream packages are encouraged to include the FreeType headers via
      standard paths, e.g. #include <freetype/freetype.h>.
    - Support for building with Meson.
    - Fixes for various memory leaks, primarily in the CFF driver module.
    - Jam support has been removed.
    - Many improvements to demo programs.
    - The obsolete `HAVE_STDINT_H' probing macro has been removed.
    - Public macro definitions required by the FreeType API have been moved to
      include/freetype/config/public-macros.h.
    - Private macro definitions used by the FreeType API have been moved to
      include/freetype/config/compiler-macros.h.
    - New common header for integer data types added.
  * debian/control:
    - Build-Depend on zlib1g-dev | libz-dev.
    - Raise Standards-Version from 4.5.0 to 4.5.1 (no changes needed).
  * debian/copyright:
    - Update for FreeType 2.10.4.
    - Remove redundant globbing patterns.
  * debian/patches:
    - Drop cve-2020-15999.patch (fix included in FreeType 2.10.4).
    - Refresh enable-subpixel-rendering.patch.
    - Refresh hide-donations-information.patch.
  * debian/rules: Remove debian/udeb directory before building.
  * debian/tests/libfreetype-dev: Replace the FT_FREETYPE_H macro with a
    standard header inclusion.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 05 Dec 2020 19:20:58 +1100

freetype (2.10.2+dfsg-4) unstable; urgency=high

  * debian/patches: Add upstream patch for CVE-2020-15999 (Closes: #972586).
    - Prevent heap buffer overflow when handling embedded PNG bitmaps
      in malformed TrueType font files.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 21 Oct 2020 09:39:47 +1100
