=== debian/rules ===
--- 
+++ 
@@ -65,4 +65,4 @@
 override_dh_auto_clean:
 	dh_auto_clean --sourcedir=ft2demos -- TOP_DIR=$(CURDIR)
 	dh_auto_clean
-	rm -rf objs/.libs
+	rm -rf $(udeb_dir) objs/.libs
