## freetype 2.10.4+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: freetype
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
+Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
 Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,10 +13,10 @@
  libpng-dev,
  libtool,
  libx11-dev <!stage1>,
- libz-dev,
+ zlib1g-dev | libz-dev,
  pkg-config,
  x11proto-core-dev <!stage1>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.freetype.org
 Vcs-Git: https://salsa.debian.org/debian/freetype.git
