=== debian/tests/control ===
Tests: libfreetype-dev
Depends: build-essential, pkg-config, libfreetype-dev
Restrictions: allow-stderr, superficial
