## freetype 2.11.1%2Bdfsg

=== debian/watch ===
version=4

# To verify each package signature, use Werner Lemberg's public PGP key.

# freetype2
opts="pgpsigurlmangle=s/$/.sig/, \
      repacksuffix=+dfsg, \
      repack, compression=xz, \
      dversionmangle=s/@DEB_EXT@//" \
  https://download.savannah.gnu.org/releases/freetype/freetype-(\d\S+)\.tar\.xz debian

# freetype2 docs
opts="pgpsigurlmangle=s/$/.sig/, \
      filenamemangle=s/doc-(\d\S+)\.tar\.xz/$1-ft2docs\.tar\.xz/, \
      component=ft2docs" \
  https://download.savannah.gnu.org/releases/freetype/freetype-doc-(\d\S+)\.tar\.xz same

# freetype2 demos
opts="pgpsigurlmangle=s/$/.sig/, \
      filenamemangle=s/ft2demos-(\d\S+)\.tar\.xz/freetype-$1-ft2demos\.tar\.xz/, \
      component=ft2demos" \
  https://download.savannah.gnu.org/releases/freetype/ft2demos-(\d\S+)\.tar\.xz same
