=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: freetype
 Section: libs
 Priority: optional
-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
 Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,14 +10,13 @@
  bzip2,
  gettext,
  libbrotli-dev,
- libjs-jquery,
  libpng-dev,
  libtool,
  libx11-dev <!stage1>,
  zlib1g-dev | libz-dev,
  pkg-config,
  x11proto-core-dev <!stage1>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.freetype.org
 Vcs-Git: https://salsa.debian.org/debian/freetype.git
@@ -70,6 +70,7 @@
 Suggests: freetype2-doc (= ${binary:Version})
 Replaces: libfreetype6-dev (<< 2.10.1)
 Breaks: libfreetype6-dev (<< 2.10.1)
+Provides: libfreetype6-dev (= ${binary:Version})
 Description: FreeType 2 font engine, development files
  The FreeType project is a team of volunteers who develop free,
  portable and high-quality software solutions for digital typography.
@@ -117,7 +118,7 @@
 Multi-Arch: foreign
 Depends: libjs-jquery, ${misc:Depends}
 Recommends:
- fonts-material-design-icons-iconfont,
+ fonts-dejavu-core,
  fonts-noto-core
 Replaces: libfreetype6-dev (<< 2.9.1)
 Breaks: libfreetype6-dev (<< 2.9.1)
