=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,8 @@
 # This is free software; see the GNU General Public Licence
 # version 2 or later for copying conditions.  There is NO warranty.
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -19,6 +18,7 @@
 udeb_builddir := $(udeb_dir)/build
 udeb_installdir := $(udeb_dir)/install
 configure_flags := --without-bzip2 --without-harfbuzz
+doc_dir := debian/freetype2-doc/usr/share/doc/libfreetype-dev
 
 %:
 	dh $@
@@ -31,8 +31,6 @@
 	dh_auto_configure -- $(configure_flags)
 
 override_dh_auto_build:
-	sed -i '/^#[[:space:]]*define SIZEOF_LONG/s/[0-9]/__SIZEOF_LONG__/' \
-	    $(udeb_builddir)/ftconfig.h builds/unix/ftconfig.h
 	dh_auto_build --builddir=$(udeb_builddir)
 	dh_auto_build
 	dh_auto_build --sourcedir=ft2demos -- TOP_DIR=$(CURDIR)
@@ -49,11 +47,19 @@
 
 override_dh_installdocs-indep:
 	dh_installdocs -p freetype2-doc --doc-main-package=libfreetype-dev \
-	    -Xreference/assets/fonts \
-	    -Xreference/assets/images \
-	    -Xjs/jquery-1.11.0.min.js
-	cp docs/CHANGES debian/freetype2-doc/usr/share/doc/libfreetype-dev/NEWS
-	cp src/pcf/README debian/freetype2-doc/usr/share/doc/libfreetype-dev/pcf/
+	    -Xreference/assets/images
+	cp docs/CHANGES $(doc_dir)/NEWS
+	cp src/pcf/README $(doc_dir)/pcf/
+	sed -i 's@\.\./\.\./js@js@' \
+	    $(doc_dir)/documentation.html \
+	    $(doc_dir)/ft2faq.html \
+	    $(doc_dir)/index.html \
+	    $(doc_dir)/design/*.html \
+	    $(doc_dir)/glyphs/*.html \
+	    $(doc_dir)/tutorial/*.html
+	sed -i '/gstatic/d' $(doc_dir)/reference/*.html
+	sed -i '/googleapis/d' $(doc_dir)/reference/*.html
+	sed -i '/assets\/javascripts/d' $(doc_dir)/reference/*.html
 
 override_dh_installchangelogs:
 	dh_installchangelogs -p freetype2-demos ft2demos/ChangeLog
