## freetype 2.12.1%2Bdfsg

=== debian/changelog ===
freetype (2.12.1+dfsg-5+deb12u4) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Minimal stop-gap fix for CVE-2025-27363

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 14 Mar 2025 20:57:00 +0100

freetype (2.12.1+dfsg-5+deb12u3) bookworm; urgency=medium

  * Disable the experimental and incomplete COLRv1 API once again.
  * debian/patches:
    + Re-enable disable_COLRv1.patch.
    + get_colr_glyph_paint.patch: Use correct predicate before function call.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 24 Feb 2024 22:01:26 +1100

freetype (2.12.1+dfsg-5+deb12u2) bookworm; urgency=high

  * debian/patches: Temporarily revert disable_COLRv1.patch to allow
    Chromium to start (Closes: #1053142).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 29 Sep 2023 22:27:32 +1000

freetype (2.12.1+dfsg-5+deb12u1) bookworm; urgency=medium

  * debian/patches: Disable COLRv1 support, which was unintentionally enabled
    by upstream in this version of FreeType (Closes: #1051816).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 25 Sep 2023 19:45:10 +1000

freetype (2.12.1+dfsg-5) unstable; urgency=medium

  * debian/patches: Add a patch to fix CVE-2023-2004 (Closes: #1034612).
    - Integer overflow in tt_hvadvance_adjust().

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 20 Apr 2023 21:08:03 +1000

freetype (2.12.1+dfsg-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update Lintian override info format in freetype2-demos.lintian-overrides.
  * Re-export upstream signing key without extra signatures.
  * Raise Standards-Version to 4.6.2 (no changes needed).

  [ Hugh McMaster ]
  * debian/control: Update Homepage URL.
  * debian/control, debian/rules:
    + Add the 'pkg.freetype.nodemos' build profile (Closes: #1011049).
    + Support the 'noudeb' build profile (Closes: #1024949).
    + Drop support for the deprecated 'stage1' build profile.
  * debian/copyright:
    + Update Source URL.
    + Update 'debian' copyright block for 2023.
  * debian/rules: Remove un-needed dh_install exclusion from the override.
  * debian/upstream/metadata: Add upstream repositories and update values.
  * freetype2-demos: Update typo-in-manual-page Lintian override.
  * lintian-overrides: Drop source-contains-prebuilt-javascript-object.
  * freetype2-demos: Install binaries and man pages via upstream Makefile.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 12 Jan 2023 23:05:22 +1100

freetype (2.12.1+dfsg-3) unstable; urgency=medium

  * debian/control: Raise Standards-Version to 4.6.1 (no changes needed).
  * debian/patches:
    - ftbench: Exit if the number of glyphs is zero (CVE-2022-31782).
    - Fix a wild free in certain OT-SVG fonts (Closes: #1013094).
      Thanks to Ben Wagner for providing a patch.
    - Harden the demos by appending CPPFLAGS to CFLAGS.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 19 Jun 2022 21:55:46 +1000

freetype (2.12.1+dfsg-2) unstable; urgency=medium

  * Revert "debian/control: Build-Depend on librsvg2-dev".
    - Avoid breaking cross-architecture bootstrap.
    - Prevent a circular build-dependency.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 16 May 2022 21:43:37 +1000

freetype (2.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version: Support for OpenType SVG fonts in the demo programs.
  * debian/copyright: Update for FreeType 2.12.1.
  * debian/patches: Drop cff-segfault, integer-overflow, reset-iup-flags,
    sdf-invisible-glyphs and set-ft-face-flag-color patches.
  * debian/control: Build-Depend on librsvg2-dev.
  * debian/rules: Build the udeb package without librsvg.
  * Update upstream's GPG public signing key.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 13 May 2022 19:46:58 +1000

freetype (2.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Support for OpenType SVG fonts. By default, FreeType will only load
      the 'SVG' table of an OpenType font. Please note: OT-SVG support will
      be enabled in Debian when FreeType 2.12.1 is released.
    - Improved handling of fonts with an 'sbix' table.
  * Update upstream's GPG signing key.
  * debian/control: freetype-doc no longer Depends on libjs-jquery.
  * debian/copyright: Update for FreeType 2.12.0.
  * debian/patches:
    - Drop CVE-2022-27404, CVE-2022-27405, CVE-2022-27406 and jquery patches.
    - Refresh enable-gxvalid-otvalid and hide-donations-information patches.
    - Cherry-pick upstream patches:
      + Set FT_FACE_FLAG_COLOR
      + Properly handle invisible glyphs
      + Fix rendering of certain glyphs
      + Prevent an integer overflow
      + Fix a segfault when size is NULL.
  * Update a comment in the Lintian source-overrides file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 08 May 2022 19:03:37 +1000

freetype (2.11.1+dfsg-2) unstable; urgency=high

  * Add upstream patches to fix multiple vulnerabilities. Closes: #1010183.
    - CVE-2022-27404: heap buffer overflow via invalid integer decrement in
      sfnt_init_face() and woff2_open_font().
    - CVE-2022-27405: segmentation violation via ft_open_face_internal() when
      attempting to read the value of FT_LONG face_index.
    - CVE-2022-27406: segmentation violation via FT_Request_Size() when
      attempting to read the value of an unguarded face size handle.
  * debian/copyright: Update debian/* section for 2022.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 26 Apr 2022 23:16:58 +1000
