## freetype 2.12.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: freetype
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
+Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
 Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,13 +11,13 @@
  libbrotli-dev,
  libpng-dev,
  libtool,
- libx11-dev <!stage1>,
+ libx11-dev <!pkg.freetype.nodemos>,
  zlib1g-dev | libz-dev,
  pkg-config,
- x11proto-core-dev <!stage1>
-Standards-Version: 4.6.0
+ x11proto-core-dev <!pkg.freetype.nodemos>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://www.freetype.org
+Homepage: https://freetype.org
 Vcs-Git: https://salsa.debian.org/debian/freetype.git
 Vcs-Browser: https://salsa.debian.org/debian/freetype
 
@@ -100,7 +99,7 @@
 Section: utils
 Architecture: any
 Multi-Arch: foreign
-Build-Profiles: <!stage1>
+Build-Profiles: <!pkg.freetype.nodemos>
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FreeType 2 demonstration programs
@@ -116,7 +115,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: libjs-jquery, ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends:
  fonts-dejavu-core,
  fonts-noto-core
@@ -134,6 +133,7 @@
 Section: debian-installer
 Architecture: any
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FreeType 2 font engine for the debian-installer
  The FreeType project is a team of volunteers who develop free,
