=== debian/rules ===
--- 
+++ 
@@ -27,22 +27,34 @@
 	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	dh_auto_configure --builddir=$(udeb_builddir) -- $(configure_flags) --without-brotli
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
+	dh_auto_configure --builddir=$(udeb_builddir) -- $(configure_flags) --without-brotli --without-librsvg
+endif
 	dh_auto_configure -- $(configure_flags)
 
 override_dh_auto_build:
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	dh_auto_build --builddir=$(udeb_builddir)
+endif
 	dh_auto_build
+ifeq (,$(filter pkg.freetype.nodemos,$(DEB_BUILD_PROFILES)))
 	dh_auto_build --sourcedir=ft2demos -- TOP_DIR=$(CURDIR)
+endif
 
 override_dh_auto_install:
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	dh_auto_install --builddir=$(udeb_builddir) --destdir=$(udeb_installdir)
+endif
 	dh_auto_install
+ifeq (,$(filter pkg.freetype.nodemos,$(DEB_BUILD_PROFILES)))
+	dh_auto_install --sourcedir=ft2demos -- TOP_DIR=$(CURDIR)
+endif
 
 override_dh_install:
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	dh_install -p libfreetype6-udeb --sourcedir=$(udeb_installdir)
+endif
 	sed -i -e '/dependency_libs/s/'.*'//' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libfreetype.la
-	dh_install -p freetype2-demos -XREADME
 	dh_install --remaining-packages
 
 override_dh_installdocs-indep:
