## freetype 2.13.0+dfsg

=== debian/changelog ===
freetype (2.13.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.13.0:
    + The 'COLR' v1 API is now considered stable.
    + TrueType interpreter version 38  (also known as 'Infinality') has been
      deprecated and will be removed in the next upstream version.
    + TrueType interpreter version 40 remains the default.
    + Various updates to the demo programs.
  * debian/control:
    + Update Maintainer email address.
    + {Build-}Depend on libbz2-dev.
  * debian/copyright: Update for FreeType 2.13.0 and 2023.
  * debian/patches:
    + Drop CVE-*, fix-wild-free-svg and hardening patches.
    + Refresh hide-donations-information.patch.
    + Rename enable-subpixel-rendering.patch to ftoption.patch.
    + Enable long PCF font family names in ftoption.h.
  * debian/rules: Update configure flags for main and udeb builds.
  * freetype2-doc: Update Lintian overrides.
  * libfreetype6: Update symbols file.

 -- Hugh McMaster <hmc@debian.org>  Thu, 13 Jul 2023 21:39:06 +1000
