=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: freetype
 Section: libs
 Priority: optional
-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
+Maintainer: Hugh McMaster <hmc@debian.org>
 Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,6 +9,7 @@
  bzip2,
  gettext,
  libbrotli-dev,
+ libbz2-dev,
  libpng-dev,
  libtool,
  libx11-dev <!pkg.freetype.nodemos>,
@@ -62,6 +63,7 @@
 Depends:
  libfreetype6 (= ${binary:Version}),
  libbrotli-dev,
+ libbz2-dev,
  libc6-dev | libc-dev,
  libpng-dev,
  zlib1g-dev | libz-dev,
